For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
AI Hub
OverviewApp editorFlow editorAdminAPI & SDK
OverviewApp editorFlow editorAdminAPI & SDK
  • Overview
    • Using the API and SDK
    • Authorization
    • Response statuses
  • API & SDK guides
    • Run automation apps by SDK
  • API reference
      • POSTRun deployment
      • POSTRun app
      • GETGet run status
      • GETGet run results
      • GETList runs
      • DELDelete run
      • Specifying file paths
  • Legacy APIs
    • Job status
    • Run apps
    • Run results
    • Mount
AI Hub
API referenceRuns

Get run status

GET
https://aihub.instabase.com/api/v2/apps/runs/:run_id
GET
/api/v2/apps/runs/:run_id
$curl "${API_ROOT}/v2/apps/runs/<RUN-ID>" \
> -H "Authorization: Bearer ${API_TOKEN}" \
> -H "IB-Context: ${IB_CONTEXT}"
200Retrieved
1{
2 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
3 "status": "CANCELLED",
4 "start_timestamp": 1689000000000000000,
5 "finish_timestamp": 1689003600000000000,
6 "msg": "Run was cancelled by user before completion.",
7 "batch_id": 4523,
8 "input_dir": "/data/input/batch_4523",
9 "app_id": "app_9876543210",
10 "deployment_id": "deploy_1234567890",
11 "tags": [
12 "urgent",
13 "clientA"
14 ]
15}
Get the status of a run.
Was this page helpful?
Previous

Get run results

Next
Built with

Authentication

AuthorizationBearer
Bearer HTTP authentication.

Path parameters

run_idstringRequired
The run ID.

Headers

IB-ContextstringOptional

Typically your organization ID. See Authorization and context identification for details.

Response

Successful response.
idstring
Run ID of the run.
statusenum

Status of the run. Possible values and meanings:

  • CANCELLED — A user cancelled the run
  • COMPLETE — The run successfully completed. A human review completed if it was required. Results are retrievable, but some fields may have failed and have the value ERROR.
  • FAILED — The run failed to complete
  • PAUSED — This status is reserved for future use
  • RUNNING — The run is in progress and is not paused
  • STOPPED_AT_CHECKPOINT — A validation error has paused the run for human review
start_timestamplong
When the run started, in Unix time nanoseconds.
finish_timestamplong or null

When the run finished, in Unix time nanoseconds. null if run is still in progress.

msgstring or null
Message about the run.
batch_idinteger or null
The batch ID used as input for this run.
input_dirstring or null
The path of the input folder used for this run.
app_idstring or null
The app ID of the app that was run.
deployment_idstring or null
The deployment ID used for this run.
tagslist of strings or null
List of string tags attached to this run.